Skip to content

Video analytics module installation

Flussonic Watcher supports video analytics functions including face recognition and ANPR (automatic number plate recognition). The video analytics module is not installed when you install Watcher, so you should install it manually only on the server(s) where the recognition will run.

The video analytics module can work both in Cluster and Single mode of Flussonic Watcher installation. In a Cluster installation, the recognition module works on a streamer where Flussonic Media Server must be installed first. If you use a Single server, install Flussonic Media Server and Watcher before you install the recognition system. See Watcher installation ways for details on the two installation modes.

Connect camera(s) to detect faces or car numbers from to the streamer. System requirements to the server that runs video analytics are given below:

System requirements for Flussonic's video analytics module

  • ОS: x64 Ubuntu 18.04 or 20.04
  • GPU: Nvidia (Pascal) minimum 6 GB VRAM (for a certain project we could tell more exactly how much memory is required).
  • CPU: 4+ cores
  • RAM: 8+ GB
  • Flussonic Media Server (in Cluster mode)
  • Flussonic Media Server + Watcher (in Single mode)

When these requirements are met, proceed to drivers installation and then install the video analytics module.

Installation video card driver for Nvidia в Ubuntu 18.04 and 20.04

wget https://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64/cuda-ubuntu1804.pin
sudo mv cuda-ubuntu1804.pin /etc/apt/preferences.d/cuda-repository-pin-600
sudo apt-key adv --fetch-keys https://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64/7fa2af80.pub
sudo add-apt-repository "deb http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64/ /"
sudo apt-get update
sudo apt-get -y install cuda-10-0

Installing the Flussonic video analytics plugin

After installing the video card driver, you should proceed with installing the Flussonic Vision video analytics plugin. To do this, run the commands:

apt update
apt install flussonic-vision